Pacman - Sploder Edition

By dman1028 :: Wednesday April 15th, 2009

 

This game requires the Adobe Flash Player.

Enable Flash

make a game

Exact copy of original pacman, but with things from Sploder. Took me hours, so please vote!

 

More games by dman1028